import 'package:food_health/page/home/widget/home_header.dart';
import 'package:flutter/material.dart';
import '../../widgets/common/app_backend.dart';
import '../../widgets/common/app_header.dart';
import 'widget/upload_panel.dart';

class HomePage extends StatefulWidget {
  const HomePage({super.key});

  @override
  State<HomePage> createState() => _HomePageState();
}

class _HomePageState extends State<HomePage> with AutomaticKeepAliveClientMixin {
  @override
  Widget build(BuildContext context) {
    super.build(context);
    return Scaffold(
      resizeToAvoidBottomInset: false,
      body: AppBackend(
        child: ListView(
          children: [AppHeader(), HomeHeader(), UploadPanel()],
        ),
      ),
    );
  }

  @override
  bool get wantKeepAlive => true;
}
